from flask import Flask, jsonify, request
from models import db, User, Club, Activity
from routes import activity_bp, user_bp

app = Flask(__name__, static_url_path='/static', static_folder='static')
# app.config['SQLALCHEMY_DATABASE_URI'] = 'mysql+pymysql://username:password@localhost/campus_activity'
app.config['SQLALCHEMY_DATABASE_URI'] = 'sqlite:///database.db'

app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = False


db.init_app(app)

# 注册蓝图
app.register_blueprint(activity_bp)
app.register_blueprint(user_bp)
# app.register_blueprint(club_bp)

if __name__ == '__main__':
    with app.app_context():
        db.create_all()  # 创建所有表
    app.run(debug=True)
